Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158770 - CAN-2005-1740 net-snmp insecure temporary file usage
Summary: CAN-2005-1740 net-snmp insecure temporary file usage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: net-snmp
Version: 3
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard: impact=low,public=20050518,reported=2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-25 15:27 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-31 11:12:32 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-05-25 15:27:05 UTC
+++ This bug was initially created as a clone of Bug #158769 +++

fixproc in Net-snmp 5.x before 5.2.1-r1 creates temporary files insecurely,
which allows local users to modify the contents of those files to execute
arbitrary commands, or overwrite arbitrary files via a symlink attack.

Comment 1 Josh Bressers 2005-05-25 15:27:51 UTC
We should also fix this in FC4

Comment 2 Radek Vokal 2005-05-31 11:12:32 UTC
Patch applied on rawhide. FC3 update will appear later. 


Note You need to log in before you can comment on or make changes to this bug.